WebSphereServer (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereServer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereServer

All Superinterfaces:
  AppServer, ConfigurationItem, J2EEServer, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  WebSphereDeploymentManager, WebSphereNodeAgent

    public interface WebSphereServer

extends J2EEServer

A WebSphere Server

Naming Rules:
  0="node,name" 1="addressSpace"
Persistable:
  true
Top Level:
  true
Display Name:
  name

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.AppServer
`IBM_COPYRIGHT, RUNNING, STOPPED`

Method Summary
`java.lang.String` | `getAddressSpace()`
`java.lang.String` | `getAppClassloaderPolicy()`
`java.lang.String` | `getAppClassloadingMode()`
`WebSphereCell` | `getCell()`
`WebSphereCluster` | `getCluster()`
`java.lang.String` | `getClusterUniqueId()`
`int` | `getClusterWeight()`
`WebSphereProperty[]` | `getCustomProperties()`
`WebSphereEFixInfo[]` | `getEFixes()`
`java.lang.String` | `getJvmLogFileName()`
`WebSphereSharedLibrary[]` | `getLibraries()`
`WebSphereNamedEndpoint[]` | `getNamedEndpoints()`
`WebSphereNode` | `getNode()`
`WebSphereProcessDefinition` | `getProcessDefinition()`
`java.lang.String` | `getType()`
`WebSphereVariable[]` | `getVariables()`
`boolean` | `hasAddressSpace()`
`boolean` | `hasAppClassloaderPolicy()`
`boolean` | `hasAppClassloadingMode()`
`boolean` | `hasCell()`
`boolean` | `hasCluster()`
`boolean` | `hasClusterUniqueId()`
`boolean` | `hasClusterWeight()`
`boolean` | `hasCustomProperties()`
`boolean` | `hasEFixes()`
`boolean` | `hasJvmLogFileName()`
`boolean` | `hasLibraries()`
`boolean` | `hasNamedEndpoints()`
`boolean` | `hasNode()`
`boolean` | `hasProcessDefinition()`
`boolean` | `hasType()`
`boolean` | `hasVariables()`
`void` | `setAddressSpace(java.lang.String space)`
`void` | `setAppClassloaderPolicy(java.lang.String appClassloaderPolicy)`
`void` | `setAppClassloadingMode(java.lang.String appClassloadingMode)`
`void` | `setCell(WebSphereCell cell)`
`void` | `setCluster(WebSphereCluster cluster)`
`void` | `setClusterUniqueId(java.lang.String uniqueId)`
`void` | `setClusterWeight(int i)`
`void` | `setCustomProperties(WebSphereProperty[] customProps)`
`void` | `setEFixes(WebSphereEFixInfo[] eFixes)`
`void` | `setJvmLogFileName(java.lang.String fileName)`
`void` | `setLibraries(WebSphereSharedLibrary[] libs)`
`void` | `setNamedEndpoints(WebSphereNamedEndpoint[] nes)`
`void` | `setNode(WebSphereNode node)`
`void` | `setProcessDefinition(WebSphereProcessDefinition pdef)`
`void` | `setType(java.lang.String type)`
`void` | `setVariables(WebSphereVariable[] vars)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEServer
`getDeployedObjectsRaw, getParent, hasDeployedObjectsRaw, hasParent, setDeployedObjectsRaw, setParent`

Methods inherited from interface com.collation.platform.model.topology.app.AppServer
`getAppDescriptors, getConfigContents, getConfigFile, getContainers, getExecutable, getExecutableName, getHost, getKeyName, getModules, getName, getPrimarySAP, getProcessPools, getProductName, getProductVersion, getResources, getSoftwareInstallation, getStatus, getVendorName, getZReportFiles, hasAppDescriptors, hasConfigContents, hasConfigFile, hasContainers, hasExecutable, hasExecutableName, hasHost, hasKeyName, hasModules, hasName, hasPrimarySAP, hasProcessPools, hasProductName, hasProductVersion, hasResources, hasSoftwareInstallation, hasStatus, hasVendorName, hasZReportFiles, setAppDescriptors, setConfigContents, setConfigFile, setContainers, setExecutable, setExecutableName, setHost, setKeyName, setModules, setName, setPrimarySAP, setProcessPools, setProductName, setProductVersion, setResources, setSoftwareInstallation, setStatus, setVendorName, setZReportFiles`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getAddressSpace

    java.lang.String getAddressSpace()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAddressSpace

    void setAddressSpace(java.lang.String space)

### hasAddressSpace

    boolean hasAddressSpace()

### getType

    java.lang.String getType()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setType

    void setType(java.lang.String type)

### hasType

    boolean hasType()

### getNode

    WebSphereNode getNode()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="true"

### setNode

    void setNode(WebSphereNode node)

### hasNode

    boolean hasNode()

### getCell

    WebSphereCell getCell()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="false"

### setCell

    void setCell(WebSphereCell cell)

### hasCell

    boolean hasCell()

### getCluster

    WebSphereCluster getCluster()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="false"

### setCluster

    void setCluster(WebSphereCluster cluster)

### hasCluster

    boolean hasCluster()

### getNamedEndpoints

    WebSphereNamedEndpoint[] getNamedEndpoints()
                                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AccessedVia" reverse="false"

### setNamedEndpoints

    void setNamedEndpoints(WebSphereNamedEndpoint[] nes)

### hasNamedEndpoints

    boolean hasNamedEndpoints()

### getClusterWeight

    int getClusterWeight()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setClusterWeight

    void setClusterWeight(int i)

### hasClusterWeight

    boolean hasClusterWeight()

### getClusterUniqueId

    java.lang.String getClusterUniqueId()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setClusterUniqueId

    void setClusterUniqueId(java.lang.String uniqueId)

### hasClusterUniqueId

    boolean hasClusterUniqueId()

### getJvmLogFileName

    java.lang.String getJvmLogFileName()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJvmLogFileName

    void setJvmLogFileName(java.lang.String fileName)

### hasJvmLogFileName

    boolean hasJvmLogFileName()

### getEFixes

    WebSphereEFixInfo[] getEFixes()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.InstalledOn" reverse="true"
  Containment Relationship:
    true

### setEFixes

    void setEFixes(WebSphereEFixInfo[] eFixes)

### hasEFixes

    boolean hasEFixes()

### getProcessDefinition

    WebSphereProcessDefinition getProcessDefinition()
                                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="false"
  Containment Relationship:
    true

### setProcessDefinition

    void setProcessDefinition(WebSphereProcessDefinition pdef)

### hasProcessDefinition

    boolean hasProcessDefinition()

### getAppClassloaderPolicy

    java.lang.String getAppClassloaderPolicy()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAppClassloaderPolicy

    void setAppClassloaderPolicy(java.lang.String appClassloaderPolicy)

### hasAppClassloaderPolicy

    boolean hasAppClassloaderPolicy()

### getAppClassloadingMode

    java.lang.String getAppClassloadingMode()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAppClassloadingMode

    void setAppClassloadingMode(java.lang.String appClassloadingMode)

### hasAppClassloadingMode

    boolean hasAppClassloadingMode()

### getVariables

    WebSphereVariable[] getVariables()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="true"

### setVariables

    void setVariables(WebSphereVariable[] vars)

### hasVariables

    boolean hasVariables()

### getCustomProperties

    WebSphereProperty[] getCustomProperties()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setCustomProperties

    void setCustomProperties(WebSphereProperty[] customProps)

### hasCustomProperties

    boolean hasCustomProperties()

### getLibraries

    WebSphereSharedLibrary[] getLibraries()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="true"

### setLibraries

    void setLibraries(WebSphereSharedLibrary[] libs)

### hasLibraries

    boolean hasLibraries()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD